Get a verification
curl --request GET \
--url https://harness.chance.cc/api/v1/intent/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://harness.chance.cc/api/v1/intent/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://harness.chance.cc/api/v1/intent/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"requestHash": "<string>",
"status": "COMPLETED",
"verdict": "ALLOW",
"reasoning": "<string>",
"proof": {
"transcriptRoot": "<string>",
"outputHash": "<string>",
"signature": "<string>",
"judge": "<string>",
"attested": true,
"anchorTx": "<string>",
"anchorStatus": "verified"
},
"createdAt": "2023-11-07T05:31:56Z"
}Verification
Get a verification
Returns one of this account’s verifications, including those behind escrow proposals and dashboard runs. Free.
GET
/
api
/
v1
/
intent
/
{id}
Get a verification
Authorizations
ApiKeyAuthBearerAuth
An API key (chance_sk_live_…) from https://harness.chance.cc/keys.
Path Parameters
The verification id (UUID) or its requestHash.
Response
The verification.
Available options:
COMPLETED Execute only on ALLOW. BLOCK, ESCALATE and null mean do not execute.
Available options:
ALLOW, BLOCK, ESCALATE, null Show child attributes
Show child attributes
